<?php
if(isset($_GET['page']) && $_GET['page']=='theme_color'){
	if (! function_exists("theme_color_load")){
		function theme_color_load($value, $default){
			echo '<tr>';
			echo '<th scope="row"><h4><label for="default_color">Select Theme Default Color Style</label></h4></th>';
			echo '<td><p class="description"></p><select id="default_color" name="default_color">';
			$colors = array();
			$dirs = array_filter(glob(THEME_COLOR_DIR.'/*'), 'is_dir');
			foreach($dirs as $dir){
				$colorfile = $dir.'/color.php';
				if(file_exists($colorfile)){
					$colors[] = basename($dir); 
				}
			}	
			$selected = '';
			if($default == 'default')
					$selected = 'selected="selected"';
			echo '<option '.$selected.' value="default">Default Style</option>';
			if(!empty($colors) && !$default)
				$default = $colors[0];
			foreach($colors as $color){
				$selected = '';
				if($default == $color)
					$selected = 'selected="selected"';
				echo '<option '.$selected .' value="'.$color.'">'.ucwords($color).'</option>';
			}
			echo '<br></td></tr>';
		}
	}
}
$options = array(
	array(
		"name" => __("Color Setting",THEME_ADMIN_DOMAIN),
		"type" => "title"
	),
	array(
		"name" => __("General Setting",THEME_ADMIN_DOMAIN),
		"type" => "start"
	),
		array(
			"name" => __("Select Theme Default Color Style",THEME_ADMIN_DOMAIN),
			"id" =>"default_color",
			"desc" => "",
			"layout" => false,
			"function" => "theme_color_load",
			"default" => 'default',
			"type" => "custom"
		),
	array(
		"type" => "end"
	),
	array(
		"name" => __("Base Setting",THEME_ADMIN_DOMAIN),
		"type" => "start"
	),
		array(
			"name" => __("Page Background Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "page_bg",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Footer Background Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "footer_bg",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Anything Slideshow media frame background Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "anything_media_bg",
			"default" => "",
			"type" => "color"
		),
	array(
		"type" => "end"
	),
	array(
		"name" => __("Header Setting",THEME_ADMIN_DOMAIN),
		"type" => "start"
	),
		array(
			"name" => __("Welcome Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "welcome_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Top Menu Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "menu_top_text",
			"default" => "",
			"type" => "color"
		),
	
		array(
			"name" => __("Top Menu Hover Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "menu_top_hover_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Logo Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "site_name_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Logo Description Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "site_desc_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Navigation Menu Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "menu_nav_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Navigation Current Menu Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "menu_nav_current_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Navigation Menu Hover Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "menu_nav_hover_text",
			"default" => "",
			"type" => "color"
		),
	array(
		"type" => "end"
	),
	array(
		"name" => __("Feature Setting",THEME_ADMIN_DOMAIN),
		"type" => "start"
	),
		array(
			"name" => __("Feature Header Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "feature_header",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Feature Link Active Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "feature_link_active",
			"default" => "",
			"type" => "color"
		),
	array(
		"type" => "end"
	),
	array(
		"name" => __("Page Setting",THEME_ADMIN_DOMAIN),
		"type" => "start"
	),
		array(
			"name" => __("Page Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "page",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Page Header Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "page_header",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Page H1 Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "page_h1",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Page H2 Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "page_h2",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Page H3 Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "page_h3",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Page H4 Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "page_h4",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Page H5 Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "page_h5",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Page H6 Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "page_h6",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Page Link Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "page_link",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Page Link Active Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "page_link_active",
			"default" => "",
			"type" => "color"
		),
			array(
			"name" => __("Breadcrumbs Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "breadcrumbs",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Breadcrumbs Link Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "breadcrumbs_link",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Breadcrumbs Link Active Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "breadcrumbs_active",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Page Navigation Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "page_nav_bg",
			"default" => "",
			"type" => "color"
		),
		 array(
			"name" => __("Page Navigation Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "page_nav_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Page Navigation Current Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "page_nav_bg_current",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Page Navigation Current Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "page_nav_text_current",
			"default" => "",
			"type" => "color"
		),
	array(
		"type"=>"end"	
	),
	array(
		"name" => __("Blog Setting",THEME_ADMIN_DOMAIN),
		"type" => "start"
	),
		array(
			"name" => __("Blog List Image Feature Text",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "blog_list_feature",
			"default" => "",
			"type" => "color"
		),
		 array(
			"name" => __("Blog List Image Feature Text Hover",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "blog_list_hover",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Blog Image Overlay",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "blog_image_overlay",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Blog Comment Bubble",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "blog_bubble",
			"default" => "",
			"type" => "color"
		),
	array(
		"type" =>"end",
	),
	array(
		"name" => __("Portfolio Setting",THEME_ADMIN_DOMAIN),
		"type" => "start"
	),
		array(
			"name" => __("Portfolio Sortable Header Background Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "portfolio_header_bg",
			"default" => "",
			"type" => "color"
		),
	 	array(
			"name" => __("Portfolio Sortable Current Header Background Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "portfolio_header_current_bg",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Portfolio Sortable Header Hover Background Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "portfolio_header_hover_bg",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Portfolio Sortable Header Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "portfolio_header_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Portfolio Sortable Current Header Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "portfolio_header_current_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Portfolio Image Border Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "portfolio_image_border",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Portfolio Image Hover Border Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "portfolio_image_hover_border",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Portfolio Item Hover Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "portfolio_item_hover",
			"default" => "",
			"type" => "color"
		),	
		array(
			"name" => __("Portfolio Carousel Box Background Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "portfolio_carousel_box",
			"default" => "",
			"type" => "color"
		),	
	array(
		"type" =>"end",
	),
	array(
		"name" => __("Gallery Setting",THEME_ADMIN_DOMAIN),
		"type" => "start"
	),
		array(
			"name" => __("Gallery Image Border Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "gallery_image_border",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Gallery Image Hover Border Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "gallery_image_hover_border",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Gallery Item Hover Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "gallery_item_hover",
			"default" => "",
			"type" => "color"
		),
	array(
		"type" =>"end",
	),
	array(
		"name" => __("Sidebar Setting",THEME_ADMIN_DOMAIN),
		"type" => "start"
	),
		array(
			"name" => __("Sidebar Link Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "sidebar_link",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Sidebar Link Active Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "sidebar_link_active",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Sidebar Current Link Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "sidebar_link_current",
			"default" => "",
			"type" => "color"
		),
	
	array(
		"type" => "end"
	),
	array(
		"name" => __("ShortCode General Setting",THEME_ADMIN_DOMAIN),
		"type" => "start"
	),
		array(
			"name" => __("Tab Title Bg Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "tab_bg",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Tab Title Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "tab_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Tab Current Bg Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "tab_current_bg",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Tab Current Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "tab_current_text",
			"default" => "",
			"type" => "color"
		),	
		array(
			"name" => __("Accordion Title Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "accordion_title_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Accordion Title Text Active Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "accordion_title_active_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Accordion Title Background Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "accordion_title_bg_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Accordion Background Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "accordion_bg",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Accordion Background Hover Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "accordion_bg_hover",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Accordion Content Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "accordion_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Accordion Border Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "accordion_border",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Accordion Border Active Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "accordion_active_border",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Toggle Opening Title Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "toggle_title",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Toggle Open Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "toggle_open",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Toggle Close Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "toggle_close",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Divider Line Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "divider_line",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Form Hover & Focus Border Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "form_focus",
			"default" => "",
			"type" => "color"
		),
	array(
		"type" => "end"
	),
	array(
		"name" => __("Footer Setting",THEME_ADMIN_DOMAIN),
		"type" => "start"
	),
		array(
			"name" => __("Footer Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "footer_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Footer Widget Title Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "footer_title",
			"default" => "",
			"type" => "color"
		),
	
		array(
			"name" => __("Footer Link Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "footer_link",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Footer Link Hover Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "footer_hover_link",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Copyright Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "copyright_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Copyright Link Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "copyright_link_text",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Sub Footer Right Text Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "sub_footer_right",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Footer Menu Right Text Hover Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "sub_footer_right_hover",
			"default" => "",
			"type" => "color"
		),
	array(
		"type" => "end"
	),
	array(
		"name" => __("Image Setting",THEME_ADMIN_DOMAIN),
		"type" => "start"
	),
		array(
			"name" => __("Image Border Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "image_border",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Image Hover Border Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "image_hover_border",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Image Frame Hover Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "image_frame",
			"default" => "",
			"type" => "color"
		),
	array(
		"type" => "end"
	),
	array(
		"name" => __("Boxed Layout Setting",THEME_ADMIN_DOMAIN),
		"type" => "start"
	),
		array(
			"name" => __("Boxed Outter Background Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "boxed_layout_bg",
			"default" => "",
			"type" => "color"
		),
		array(
			"name" => __("Boxed Shadow Color",THEME_ADMIN_DOMAIN),
			"desc" => "",
			"id" => "boxed_layout_shadow",
			"default" => "",
			"type" => "color"
		),
	array(
		"type" => "end"
	),
);
return array(
	'auto' => true,
	'name' => 'color',
	'options' => $options
);
